This page was not yet optimized for use on mobile devices.
Ubuntu OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #2888 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 24.04.2017 , 06.06.2017 , 27.02.2020 , 18.10.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-, AES-128, AES-192, AES-256, DES, Triple-DES, TDES, TDEA, HMAC, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD5Schemes
MAC, Key AgreementProtocols
SSLv2.0, SSL v3.0, TLS, TLS v1.0, TLSv1.2, TLSv1.0, DTLSRandomness
PRNG, DRBG, RNGLibraries
OpenSSLElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-283, K-409, K-571, B-283, B-409, B-571, K-163, K-233, B-163, B-233Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DH_DSS_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DH_DSS_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DH_DSS_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_DSS_WITH_AES_256_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_DH_DSS_WITH_AES_128_GCM_SHA256, TLS_DH_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384Security level
Level 1, level 1Side-channel analysis
Timing Attacks, timing attacks, Timing AttackCross-references
IncomingAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2888,
"dgst": "5ca78d60306335e9",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#C1501",
"#C1517",
"KTS#4360",
"#C1508",
"#1396",
"#1066",
"#1068",
"#1056",
"AES#C1520",
"#1057",
"#1055",
"DRBG#C1526",
"#2899",
"#4359",
"AES#C1510",
"Triple-DES#C1527",
"#1070",
"AES#4357",
"DSA#C1526",
"RSA#C1511",
"RSA#2354",
"HMAC#2898",
"AES#C1509",
"#4360",
"#1162",
"#C1523",
"#1159",
"#2897",
"#2355",
"DSA#1159",
"HMAC#C1526",
"RSA#2356",
"AES#C1516",
"#C1527",
"SHS#3597",
"Triple-DES#2357",
"#2901",
"SHS#C1526",
"KTS#C1503",
"DRBG#C1512",
"SHS#3593",
"SHS#3598",
"#C1520",
"DSA#C1525",
"#1037",
"KTS#4357",
"#1053",
"#C1524",
"DRBG#C1525",
"DRBG#1397",
"HMAC#2896",
"HMAC#2897",
"HMAC#2895",
"HMAC#C1525",
"#1058",
"DRBG#C1511",
"#C1500",
"RSA#C1512",
"AES#C1505",
"ECDSA#C1511",
"#3196",
"DRBG#C1520",
"#C1509",
"#C1499",
"#1065",
"#4374",
"#4373",
"#C1525",
"#2900",
"DRBG#1392",
"#3595",
"#1158",
"DRBG#1391",
"DSA#C1508",
"Triple-DES#2356",
"#4355",
"#4356",
"HMAC#C1508",
"ECDSA#C1523",
"AES#C1514",
"ECDSA#1037",
"#1035",
"SHS#C1512",
"AES#C1503",
"HMAC#2899",
"#C1505",
"AES#4359",
"SHS#3596",
"#1395",
"CVL#C1512",
"AES#C1499",
"AES#4356",
"#2352",
"RSA#C1525",
"AES#C1522",
"RSA#C1508",
"AES#4375",
"#C1516",
"#C1519",
"DSA#1162",
"#1392",
"#1061",
"#4358",
"Triple-DES#2355",
"Triple-DES#C1517",
"#1393",
"#1157",
"#3596",
"RSA#2353",
"#4354",
"SHS#C1523",
"#1032",
"#4370",
"RSA#C1526",
"#C1512",
"#2895",
"ECDSA#1033",
"CVL#1066",
"SHS#3595",
"DSA#C1512",
"AES#4371",
"#3599",
"AES#4354",
"#1397",
"HMAC#C1512",
"CVL#C1511",
"AES#C1504",
"#C1502",
"DSA#1161",
"#C1513",
"#3593",
"DRBG#1395",
"#C1511",
"CVL#C1525",
"DRBG#C1503",
"#2896",
"DRBG#C1523",
"CVL#1058",
"DSA#1160",
"AES#4358",
"AES#4372",
"CVL#C1526",
"#4371",
"DRBG#C1508",
"#1064",
"#4361",
"#C1514",
"AES#4360",
"ECDSA#C1508",
"RSA#2357",
"#2356",
"#2354",
"ECDSA#1034",
"DRBG#1393",
"SHS#C1508",
"CVL#1061",
"SHS#C1511",
"#1034",
"#1391",
"AES#C1524",
"#C1510",
"DSA#C1511",
"CVL#1064",
"#4375",
"KTS#4354",
"HMAC#2901",
"#1160",
"AES#C1502",
"#1031",
"AES#C1521",
"HMAC#2900",
"DRBG#1396",
"#1063",
"AES#4373",
"CVL#1068",
"#1390",
"#2357",
"#3958",
"#1067",
"#1069",
"SHS#3599",
"RSA#C1523",
"AES#4370",
"ECDSA#1036",
"#4372",
"#4357",
"CVL#C1523",
"#C1518",
"ECDSA#C1526",
"RSA#2352",
"#1033",
"#1062",
"AES#4361",
"DRBG#1390",
"KTS#C1520",
"#C1501",
"AES#C1513",
"DSA#C1523",
"ECDSA#1032",
"RSA#2351",
"#1060",
"HMAC#C1523",
"#1156",
"#1054",
"#1036",
"AES#C1518",
"ECDSA#1031",
"ECDSA#C1512",
"CVL#1055",
"#C1522",
"#1059",
"#2898",
"AES#C1500",
"HMAC#C1511",
"#3597",
"KTS#4358",
"AES#C1519",
"AES#4374",
"SHS#3594",
"ECDSA#C1525",
"#1394",
"SHS#C1525",
"ECDSA#1035",
"#C1521",
"DSA#1158",
"#1161",
"#C1504",
"DRBG#1394",
"#C1503",
"AES#4355",
"CVL#C1508",
"RSA#2355",
"#2353",
"#C1526",
"DSA#1157",
"#2351",
"DSA#1156",
"#3598",
"CVL#1070"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"2907",
"2978",
"2906"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"2907",
"2978",
"2906"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"2907",
"2978",
"2906"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"2907",
"2978",
"2906"
]
},
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 9
},
"ECDSA": {
"ECDSA": 25
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 45
},
"DSA": {
"DSA": 33
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 10
},
"CCM": {
"CCM": 7
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 7
},
"ECB": {
"ECB": 14
},
"GCM": {
"GCM": 16
},
"OFB": {
"OFB": 9
},
"XTS": {
"XTS": 10
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 38
}
},
"crypto_protocol": {
"TLS": {
"DTLS": {
"DTLS": 2
},
"SSL": {
"SSL v3.0": 1,
"SSLv2.0": 1
},
"TLS": {
"TLS": 44,
"TLS v1.0": 4,
"TLSv1.0": 1,
"TLSv1.2": 2
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 16
},
"MAC": {
"MAC": 14
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 3,
"B-233": 3,
"B-283": 6,
"B-409": 6,
"B-571": 6,
"K-163": 3,
"K-233": 4,
"K-283": 6,
"K-409": 6,
"K-571": 6,
"P-192": 6,
"P-224": 20,
"P-256": 24,
"P-384": 20,
"P-521": 20
}
},
"eval_facility": {
"atsec": {
"atsec": 57
}
},
"fips_cert_id": {
"Cert": {
"#1031": 1,
"#1032": 1,
"#1033": 1,
"#1034": 1,
"#1035": 1,
"#1036": 1,
"#1037": 1,
"#1053": 4,
"#1054": 2,
"#1055": 1,
"#1056": 4,
"#1057": 2,
"#1058": 1,
"#1059": 4,
"#1060": 2,
"#1061": 1,
"#1062": 2,
"#1063": 2,
"#1064": 1,
"#1065": 5,
"#1066": 1,
"#1067": 4,
"#1068": 3,
"#1069": 5,
"#1070": 1,
"#1156": 1,
"#1157": 1,
"#1158": 1,
"#1159": 1,
"#1160": 1,
"#1161": 1,
"#1162": 1,
"#1390": 3,
"#1391": 2,
"#1392": 3,
"#1393": 3,
"#1394": 1,
"#1395": 1,
"#1396": 1,
"#1397": 1,
"#2351": 2,
"#2352": 2,
"#2353": 3,
"#2354": 3,
"#2355": 3,
"#2356": 4,
"#2357": 4,
"#2895": 1,
"#2896": 1,
"#2897": 1,
"#2898": 1,
"#2899": 1,
"#2900": 1,
"#2901": 1,
"#3196": 1,
"#3593": 1,
"#3595": 1,
"#3596": 1,
"#3597": 1,
"#3598": 1,
"#3599": 1,
"#3958": 1,
"#4354": 5,
"#4355": 4,
"#4356": 1,
"#4357": 1,
"#4358": 1,
"#4359": 4,
"#4360": 5,
"#4361": 1,
"#4370": 1,
"#4371": 1,
"#4372": 1,
"#4373": 1,
"#4374": 1,
"#4375": 1
}
},
"fips_certlike": {
"Certlike": {
"#1390 DRBG": 1,
"#1391 DRBG": 2,
"#1393 DRBG": 3,
"#2352 RSA": 2,
"#2354 RSA": 3,
"#2896 HMAC": 1,
"#2898 HMAC": 1,
"#3196 SHS": 1,
"#3596 SHS": 1,
"#3958 AES": 1,
"#4354 AES": 1,
"#4356 AES": 1,
"#4358 AES": 1,
"AES-128": 3,
"AES-192": 3,
"AES-256": 4,
"CVL #1053": 2,
"CVL #1054": 1,
"CVL #1055": 1,
"CVL #1056": 2,
"CVL #1057": 1,
"CVL #1058": 1,
"CVL #1059": 2,
"CVL #1060": 1,
"CVL #1061": 1,
"CVL #1062": 1,
"CVL #1063": 1,
"CVL #1064": 1,
"CVL #1065": 3,
"CVL #1066": 1,
"CVL #1067": 2,
"CVL #1068": 2,
"CVL #1069": 3,
"CVL #1070": 1,
"HMAC-SHA-256": 2,
"PKCS#1": 6,
"SHA-1": 20,
"SHA-1 2": 3,
"SHA-1 4": 3,
"SHA-1 6": 9,
"SHA-224": 26,
"SHA-256": 40,
"SHA-384": 28,
"SHA-512": 23,
"SHA-512 1024": 5,
"SHA-512 112": 3
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 7
}
},
"SHA": {
"SHA1": {
"SHA-1": 35
},
"SHA2": {
"SHA-224": 26,
"SHA-256": 40,
"SHA-384": 28,
"SHA-512": 31
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 39,
"PRNG": 2
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attack": 1,
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 66,
"FIPS 86-4": 3,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1,
"FIPS180-4": 5,
"FIPS186-4": 15,
"FIPS197": 7,
"FIPS198-1": 4
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC2246": 8,
"RFC3268": 12,
"RFC4279": 3,
"RFC4346": 2,
"RFC4492": 15,
"RFC5246": 13,
"RFC5288": 14,
"RFC5289": 16
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 91,
"AES-": 3,
"AES-128": 3,
"AES-192": 3,
"AES-256": 4
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 26
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 13,
"HMAC": 24,
"HMAC-SHA-256": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C1501",
"KTS#4360",
"AES#C1520",
"DRBG#C1526",
"AES#C1510",
"Triple-DES#C1527",
"AES#4357",
"DSA#C1526",
"RSA#C1511",
"RSA#2354",
"HMAC#2898",
"AES#C1509",
"DSA#1159",
"HMAC#C1526",
"RSA#2356",
"AES#C1516",
"SHS#3597",
"Triple-DES#2357",
"SHS#C1526",
"KTS#C1503",
"DRBG#C1512",
"SHS#3593",
"SHS#3598",
"DSA#C1525",
"KTS#4357",
"DRBG#C1525",
"DRBG#1397",
"HMAC#2896",
"HMAC#2897",
"HMAC#2895",
"HMAC#C1525",
"DRBG#C1511",
"RSA#C1512",
"AES#C1505",
"ECDSA#C1511",
"DRBG#C1520",
"DRBG#1392",
"DRBG#1391",
"DSA#C1508",
"Triple-DES#2356",
"HMAC#C1508",
"ECDSA#C1523",
"AES#C1514",
"ECDSA#1037",
"SHS#C1512",
"AES#C1503",
"HMAC#2899",
"AES#4359",
"SHS#3596",
"CVL#C1512",
"AES#C1499",
"AES#4356",
"RSA#C1525",
"AES#C1522",
"RSA#C1508",
"AES#4375",
"DSA#1162",
"Triple-DES#2355",
"Triple-DES#C1517",
"RSA#2353",
"SHS#C1523",
"RSA#C1526",
"ECDSA#1033",
"CVL#1066",
"SHS#3595",
"DSA#C1512",
"AES#4371",
"AES#4354",
"HMAC#C1512",
"CVL#C1511",
"AES#C1504",
"DSA#1161",
"DRBG#1395",
"CVL#C1525",
"DRBG#C1503",
"DRBG#C1523",
"CVL#1058",
"DSA#1160",
"AES#4358",
"AES#4372",
"CVL#C1526",
"DRBG#C1508",
"AES#4360",
"ECDSA#C1508",
"RSA#2357",
"ECDSA#1034",
"DRBG#1393",
"SHS#C1508",
"CVL#1061",
"SHS#C1511",
"AES#C1524",
"DSA#C1511",
"CVL#1064",
"KTS#4354",
"HMAC#2901",
"AES#C1502",
"AES#C1521",
"HMAC#2900",
"DRBG#1396",
"AES#4373",
"CVL#1068",
"SHS#3599",
"RSA#C1523",
"AES#4370",
"ECDSA#1036",
"CVL#C1523",
"ECDSA#C1526",
"RSA#2352",
"AES#4361",
"DRBG#1390",
"KTS#C1520",
"AES#C1513",
"DSA#C1523",
"ECDSA#1032",
"RSA#2351",
"HMAC#C1523",
"AES#C1518",
"ECDSA#1031",
"ECDSA#C1512",
"CVL#1055",
"AES#C1500",
"HMAC#C1511",
"KTS#4358",
"AES#C1519",
"AES#4374",
"SHS#3594",
"ECDSA#C1525",
"SHS#C1525",
"ECDSA#1035",
"DSA#1158",
"DRBG#1394",
"AES#4355",
"CVL#C1508",
"RSA#2355",
"DSA#1157",
"DSA#1156",
"CVL#1070"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C1517",
"#C1508",
"#1396",
"#1066",
"#1068",
"#1056",
"#1057",
"#1055",
"#2899",
"#4359",
"#1070",
"#4360",
"#1162",
"#C1523",
"#1159",
"#2897",
"#2355",
"#C1527",
"#2901",
"#C1520",
"#1037",
"#1053",
"#C1524",
"#1058",
"#C1500",
"#3196",
"#C1509",
"#C1499",
"#1065",
"#4374",
"#4373",
"#C1525",
"#2900",
"#3595",
"#1158",
"#4355",
"#4356",
"#1035",
"#C1505",
"#1395",
"#2352",
"#C1516",
"#C1519",
"#1392",
"#1061",
"#1393",
"#1157",
"#3596",
"#4354",
"#1032",
"#4370",
"#C1512",
"#2895",
"#3599",
"#1397",
"#C1502",
"#C1513",
"#3593",
"#C1511",
"#4371",
"#1064",
"#4361",
"#C1514",
"#2356",
"#2354",
"#1034",
"#1391",
"#C1510",
"#4375",
"#1160",
"#1031",
"#1063",
"#1390",
"#2357",
"#3958",
"#1067",
"#1069",
"#4372",
"#4357",
"#C1518",
"#1033",
"#1062",
"#C1501",
"#1060",
"#1156",
"#1054",
"#1036",
"#C1522",
"#1059",
"#2898",
"#3597",
"#1394",
"#C1521",
"#1161",
"#C1504",
"#C1503",
"#2353",
"#C1526",
"#2351",
"#4358",
"#3598",
"#2896"
]
},
"policy_metadata": {
"/AAPL:Keywords": "[]",
"/CreationDate": "D:20200210171139Z00\u002700\u0027",
"/Creator": "Word",
"/Keywords": "",
"/ModDate": "D:20200210171139Z00\u002700\u0027",
"/Producer": "macOS Version 10.14.6 (Build 18G103) Quartz PDFContext",
"/Title": "Microsoft Word - UbuntuOpenSSL-SecurityPolicy.doc",
"pdf_file_size_bytes": 801983,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 55
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "39a63e895abe6f7492eb8500bd1f8bb5f9d819d51a6380aeb4b8ec065baf37c0",
"source_hash": "2a9ce3ebbf3a0573c5101f552e152d2e76498128b669113fb125397d1832a2fa",
"txt_hash": "de42d7e8580f8075a736b3f85744e10fea86c75037eca1c5ded7a1a9578c31e7"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertApr2017.pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0",
"tested_conf": [
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8001-22C with PAA",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8001-22C without PAA",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8247-22L with PAA",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8247-22L without PAA",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8335-GTB with PAA",
"Ubuntu 16.04 LTS 64-bit Little Endian running on IBM Power System 8335-GTB without PAA",
"Ubuntu 16.04 LTS 64-bit running on IBM z13 with PAI",
"Ubuntu 16.04 LTS 64-bit running on IBM z13 without PAI",
"Ubuntu 16.04 LTS 64-bit running on Supermicro A1SAi with PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro A1SAi without PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SMX11SPL-F with PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SMX11SPL-F without PAA (single-user mode)",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-04-24",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-06-06",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-02-27",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}